### Constructor

# Gtk TreeView new_with_model

#### Declaration [src]

    GtkWidget*
    gtk_tree_view_new_with_model (
      GtkTreeModel* model
    )

#### Description [src]

Creates a new `GtkTreeView` widget with the model initialized to `model`.

#### Parameters

`model` | `GtkTreeModel`
| The model.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A newly created `GtkTreeView` widget.
| The data is owned by the called function.